/***********************************************************************

FILE
    8259.h  -  8259A definitions, IBM-PC version

SYNOPSIS
    #include "8259.h"

DESCRIPTION
    This file contains useful definitions for default operation of the
    Intel 8259A Programmable Interrupt Controller in the IBM-PC.

LAST UPDATE
    30 April 1985

    Copyright(c) 1985,1986  D.M. Auslander and C.H. Tham
    
***********************************************************************/


#define BASE8259    0x20                /* base address */

#define EOIPORT     (BASE8259+0)        /* where to send EOI */
#define MASKPORT    (BASE8259+1)        /* 8259 mask port */

#define BASEVEC     8                   /* base vector */

#define TMRVEC      BASEVEC             /* timer vector */
#define KBVEC       (BASEVEC+1)         /* keyboard vector */
#define COM2VEC     (BASEVEC+3)         /* COM2 device vector */
#define COM1VEC     (BASEVEC+4)         /* COM1 or (AUX) vector */
#define PRNVEC      (BASEVEC+7)         /* parallel printer vector */

#define AUXVEC      COM1VEC             /* an alternative definition */

#define TMRMASK     0x01                /* disable timer mask */
#define KBMASK      0x02                /* disable keyboard mask */
#define COM2MASK    0x08                /* disable COM2 mask */
#define COM1MASK    0x10                /* disable COM1 mask */
#define PRNMASK     0x80                /* disable printer port mask */

#define AUXMASK     COM1MASK    

#define TMREOI      0x60                /* timer specific EOI */
#define KBEOI       0x61                /* keyboard specific EOI */
#define COM2EOI     0x63                /* COM2 specific EOI */
#define COM1EOI     0x64                /* COM1 specific EOI */
#define PRNEOI      0x67                /* printer specific EOI */

#define NSEOI       0x20                /* non specific EOI */

