/***********************************************************************

FILE
    config.h  -  system configuration header file

LAST UPDATE
    21 January 1986
        fine tune for IBM-PC hardware

    Copyright(c) 1985, 1986  D.M. Auslander and C.H. Tham

***********************************************************************/

#define TICKRATE       20       /* clock ticks per second (>18) */

#define MAXHARDTIMERS   1       /* number of hardware timer available */

#define MAXDTIMERS      4       /* number of soft countdown timers */
#define MAXITIMERS      2       /* number of soft interval timers */

#define NTTY            1       /* number of tty structures */

#define MAXSYSSTACK    32       /* max size of saved system stack */
#define MAXUSRSTACK  2048       /* max size of each user stack */
#define MINUSRSTACK    32       /* min size of each user stack */   

#define MAXTASKS       12       /* maximum number of resident tasks */
#define MAXEVENTS       8       /* maximum number of events/semaphores */
#define MAXSEMS         8       /* maximum number of semaphores */

#define MAXQUANTUM   1000       /* maximum quantum in milliseconds */
#define MINQUANTUM     50       /* minimum quantum in milliseconds */

#define PCONTROL     1000       /* minimum priority of control tasks */
#define PSERVER       100       /* miminum priority of server tasks */
#define PSLICE         10       /* default priority of slice tasks */
#define PZERO           0       /* floor on task priority */
#define PIDLER         -1       /* Idler priority, must be < PZERO */

#define SLC_TIMER       0       /* timer reserved for slice scheduling */
#define STL_TIMER       1       /* timer reserved for STL scheduling */

