/***********************************************************************

FILE
    time.h  -  timer module definitions

LAST UPDATE
    26 January 1988
        add ANSI function prototypes

***********************************************************************/

/************************   Timer Type Codes   ************************/

#define DTIMER      0x01        /* count-down timer type */
#define ITIMER      0x02        /* interval timer type */


/******************************  Exports  *****************************/

#ifdef ANSI

extern void chronos(void);
extern int  NewDTimer(void(*)(), void *, int);
extern void FreeDTimer(int);
extern void SetDTimer(int, long);
extern long ReadDTimer(int);
extern void StopDTimer(int);
extern void StartDTimer(int);
extern void CisDTimer(int);
extern void SetTsr(int, void(*)(), void *, int);
extern int  NewITimer(void);
extern void FreeITimer(int);
extern void SetITimer(int);
extern long ReadITimer(int);
extern long ReadClock(void);
extern void InitTime(long);

#else

extern void chronos();
extern int  NewDTimer();
extern void FreeDTimer();
extern void SetDTimer();
extern long ReadDTimer();
extern void StopDTimer();
extern void StartDTimer();
extern void CisDTimer();
extern void SetTsr();
extern int  NewITimer();
extern void FreeITimer();
extern void SetITimer();
extern long ReadITimer();
extern long ReadClock();
extern void InitTime();

#endif
