/***********************************************************************

FILE
    xignal.h    (IBM-PC version)

LAST UPDATE
    22 May 1985  by  Haam
        downgrade requirement for envir.h
    02 October 1985  by  Haam
        add stuff for Compupro
    10 September 1987  by  Haam
        name change to xignal

    Copyright(c) 1984-1988  D.M. Auslander and C.H. Tham

***********************************************************************/

/**********************  locals - for IBM-PC  **********************/

#if IBMPC

#define XIGALL      0               /* vectors 0 to 15 */

#define XIGTMR      1
#define XIGKB       2
#define XIGCGA      3
#define XIGCOM2     4
#define XIGCOM1     5
#define XIGLPT2     6
#define XIGFDSK     7
#define XIGPRN      8

#define XIGFPE      9

#define XIGAUX      XIGCOM1
#define XIGLPT1     XIGPRN


#define NXIG        10


#define XIGTMR0     XIGTMR      /* compatibility with Compupro version */
#define XIGKEYB     XIGKB

#endif  /* if IBMPC */


/**********************  locals - for Compupro  **********************/

#if COMPUPRO

#define XIGALL      0

#define XIGPIO4     1
#define XIGSRX4     3
#define XIGSTX4     4
#define XIGSRX2     5
#define XIGSTX2     6

#define XIGTMR0     12
#define XIGTMR1     13
#define XIGTMR2     14
#define XIGSCRN     17
#define XIGKEYB     18

#define XIGFPE      20


#define NXIG        21


#define XIGTMR      XIGTMR0     /* compatibility with IBM version */
#define XIGKB       XIGKEYB

#endif  /* if COMPUPRO */


/***************  Some Standard Xignal Definitions  ***************/

extern XIG_IGN();           /* actual functions are used instead of */
extern XIG_DFL();           /*  casting (*int())() since some       */
extern BADXIG();            /*  compilers cannot perform the cast.  */

#ifndef KERNEL
int (* xignal())();
#endif


/******  Floating Point Stuff, modelled on UNIX definitions  ******/

#define     FPE_INTOVF  0x1         /* integer overflow */
#define     FPE_INTDIV  0x2         /* integer divide by zero */
#define     FPE_FLTOVF  0x3         /* floating overflow */
#define     FPE_FLTDIV  0x4         /* floating divide by zero */
#define     FPE_FLTUND  0x5         /* floating underflow */


#define XIGALRM     XIGTMR  /* Unix to Local xignal number mapping */

